<?php 
require "../Run.php";
if(LOGIN !=1 ){
	echo head('我的相册');
	echo '<div class="tip">您好，请<a href="http://'.HTTP_HOST.'/login.php?">登录</a>后再进入本功能！</div>';
	echo footer(1);
	exit;
}

if($_GET['act'] == 'cre')
{
/*创建我的相册*/
	echo head('我的相册');
	echo '<div class="title">开通相册服务>服务确认</div>';
	echo '<div class="tip">您确定要创建相册吗？这将会在网站目录下生成一个属于您的目录！<br>[<a href="?cid='.$_GET['cid'].'&act=credir">确认开通相册</a>|<a href="list.php?cid='.$_GET['cid'].'">相册列表</a>]</div>';
	echo footer(1);
	exit;
}
if($_GET['act'] == 'credir')
{
/*创建我的相册*/
	echo head('我的相册');
	echo '<div class="title">开通相册服务>服务确认>处理结果</div>';
	if(!is_dir('album/'.WAPID.'/'.MYID)){mkdir('album/'.WAPID.'/'.MYID);}else{die("不可重复开通相册！");}
	if(is_dir('album/'.WAPID.'/'.MYID)){
	echo '<div class="tip">恭喜你，成功开通了相册服务了！<a href="myalbum.php?cid='.$_GET['cid'].'">进入我的相册</a></div><div class="mylink"><a href="list.php?cid='.$_GET['cid'].'">相册列表</a><a href="http://'.HTTP_HOST.'/index.php?">网站首页</a></div>';
	}else{
	echo '<div class="tip">目录创建失败，请联系网站管理员</div>';
	}
	echo footer(1);
	exit;
}
if(!is_dir('album/'.WAPID.'/'.MYID)){
	echo head('我的相册');
	echo '<div class="title">开通相册服务</div>';
	echo '<div class="tip">您还有没有开通相册哦!<br>[<a href="?cid='.$_GET['cid'].'&act=cre">开通相册</a>|<a href="list.php?cid='.$_GET['cid'].'">相册列表</a>]</div>';
	echo footer(1);
	exit;

}  
if($_GET['act'] == 'cregro')
{
	echo head('添加分类');
	echo '<div class="title">添加相册分类</div>';
	echo '<div class="content"><form method="post" enctype="multipart/form-data" action="?cid='.$_GET['cid'].'&act=cregrook">';
	echo '<input name="groname" type="text" value="请输入分类名">';
	echo '<br><input type="submit" value="添加分类">';
	echo '</form></div>';
	echo footer(1);
	exit;
}
if($_GET['act'] == 'cregrook')
{
	echo head('添加新的分类');
	echo '<div class="title">处理结果</div>';
	if(!is_dir('album/'.WAPID.'/'.MYID.'/'.base64_encode($_POST['groname']))){
		if(mkdir('album/'.WAPID.'/'.MYID.'/'.base64_encode($_POST['groname'])))
		{
			echo '<div class="tip">分组添加成功</div>';
		}else{
			die("创建失败");
		}
	}else{
		die("已经存在相同的分类，不可重复添加！");
	}
	echo '<div class="mylink"><a href="myalbum.php?cid='.$_GET['cid'].'">我的相册</a><a href="../index.php?">网站首页</a></div>';
	echo footer(1);
	exit;
}
echo head('我的相册');
echo '<div class="subtitle">';
echo '操作：<a href="upload.php">上传图片</a>.<a href="?cid='.$_GET['cid'].'&act=cregro">添加分类</a>';
echo '</div>';
	$base_dir = 'album/'.WAPID.'/'.MYID.'/'; 
		$fso  = opendir($base_dir);  
		echo '<div class="title">我的相册</div>';  
		$num = 0;
		while($flist = readdir($fso)){  
			if($flist !='.' && $flist != '..' && $flist != 'title.txt')
			{
			$div = $num++%2 == 0?'line1':'line2'; 
				echo '<div class="'.$div.'"><a href="list.php?cid='.$_GET['cid'].'&userid='.MYID.'&album='.$flist.'">'.base64_decode($flist).'</a></div>';
			}
		}  
		if($num == 0){
			echo '<div class="tip">您还没有添加分类哦，赶快添加分类上传照片吧</div>';
		}
	closedir($fso);    
	echo '<div class="mylink"><a href="list.php?">相册列表</a><a href="../index.php?">网站首页</a></div>';
echo footer(1);
?>